import Vue from 'vue';
import Router from 'vue-router';
import PathInfo from '@components/PathInfo.vue';
import TabPage from '@components/TabPage.vue';
import Login from '@components/Login.vue';
import Symptom from '@components/Symptom.vue';
import DiagTreat from '@components/DiagTreat.vue';
import Others from '@components/Others.vue';
import AddContent from '@components/AddContent.vue';
import Preview from '@components/Preview.vue';
import Department from '@components/Department.vue';
Vue.use(Router);
const router = new Router({
  routes:[
    {
      path:'/',
      name:'Login',
      component:Login
    },
    {
      path:'/home',
      name:'PathInfo',
      meta:{
        title:'挂号详情'
      },
      component:PathInfo
    },
    {
      path:'/tab',
      component:TabPage,
      children:[
        {
          path:'/',      
          name:'symptom',
          component:Symptom
        },{
          path:'/tab/treat',
          name:'treat',
          component:DiagTreat
        },{
          path:'/tab/others',
          name:'others',
          component:Others
        },{
          path:'/tab/add',
          name:'add',
          component:AddContent
        }
      ]
    },
    {
      path:'/department',
      name:'Department',
      meta:{
        title:'挂号信息'
      },
      component:Department
    },
    {
      path:'/preview',
      name:'Preview',
      meta:{
        title:'预览病历'
      },
      component:Preview
    }
  ]
})

router.beforeEach((to, from, next) => {
  /* 路由发生变化修改页面title */
  if (to.meta.title) {
    document.title = to.meta.title;
    // let i = document.createElement('iframe');//解决qq内title不刷新问题
    // i.style.display = 'none';
    // i.src = '.'; 
    // i.onload = ()=>{
    //     setTimeout(()=>{
    //         i.remove()
    //     }, 0);
    // }
    // document.body.appendChild(i);
  }
  next();
})
export default router;